curl -X GET https://restapi.fax.plus/v3/accounts/{user_id}/plan \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
-H 'x-fax-clientid: YOUR_CLIENT_ID'
GET /v3/accounts/{user_id}/plan HTTP/1.1
Host: restapi.fax.plus
Accept: application/json
Authorization: Bearer {access-token}
x-fax-clientid: YOUR_CLIENT_ID
{
"plan_type": "enterprise",
"is_admin": true,
"is_owner": true
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "unauthorized",
"description": "The access token provided is expired, revoked, malformed, or invalid for other reasons."
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "internal_server_error",
"description": "An unexpected error happened, please contact support"
}Accounts
Get user plan
Get the plan type for an account. For Business and Enterprise plans, the response also includes permission flags indicating whether the user is an admin or owner. (Permitted scopes: fax:all:read, fax:member:read, fax:user:read)
GET
/
accounts
/
{user_id}
/
plan
curl -X GET https://restapi.fax.plus/v3/accounts/{user_id}/plan \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
-H 'x-fax-clientid: YOUR_CLIENT_ID'
GET /v3/accounts/{user_id}/plan HTTP/1.1
Host: restapi.fax.plus
Accept: application/json
Authorization: Bearer {access-token}
x-fax-clientid: YOUR_CLIENT_ID
{
"plan_type": "enterprise",
"is_admin": true,
"is_owner": true
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "unauthorized",
"description": "The access token provided is expired, revoked, malformed, or invalid for other reasons."
}{
"error": "invalid_user_id",
"description": "Invalid user id given"
}{
"error": "internal_server_error",
"description": "An unexpected error happened, please contact support"
}curl -X GET https://restapi.fax.plus/v3/accounts/{user_id}/plan \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}' \
-H 'x-fax-clientid: YOUR_CLIENT_ID'
GET /v3/accounts/{user_id}/plan HTTP/1.1
Host: restapi.fax.plus
Accept: application/json
Authorization: Bearer {access-token}
x-fax-clientid: YOUR_CLIENT_ID
Authorizations
oauth2personal_access_token
OAuth2 Authorization Grant
Path Parameters
User ID to get plan information about. For your own account use 'self'
Response
Object containing user plan type and permission flags
User plan and permission flags
Current plan type
Available options:
free, basic, premium, business, enterprise, unknown Whether the user has admin permissions (manage_plan or manage_hierarchy).
Whether the user has owner permissions (assign_admin, manage_plan, or manage_hierarchy).